# Generated by Django 3.2 on 2023-10-19 07:30

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0022_auto_20231018_2225'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataFasilitasolahraga',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodefasilitas', models.TextField(null=True)),
                ('jml_lapangan_voly', models.IntegerField(null=True)),
                ('foto_jml_lapangan_voly', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jml_lapangan_bola', models.IntegerField(null=True)),
                ('foto_jml_lapangan_bola', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jml_lapangan_basket', models.IntegerField(null=True)),
                ('foto_jml_lapangan_basket', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jml_lapangan_takraw', models.IntegerField(null=True)),
                ('foto_jml_lapangan_takraw', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jml_lapangan_bulutangkis', models.IntegerField(null=True)),
                ('foto_jml_lapangan_bulutangkis', models.ImageField(null=True, upload_to='profile/images/perikanan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
        migrations.CreateModel(
            name='dataDetailFasilitasolahraga',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodefasilitas', models.TextField(null=True)),
                ('nama', models.TextField(null=True)),
                ('event', models.TextField(null=True)),
                ('prestasi', models.TextField(null=True)),
                ('fasilitas', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datafasilitasolahraga')),
            ],
        ),
    ]
